Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::AlertedSensorManager::SensorData Struct Reference

Data about a monitored sensor. More...

## Public Attributes
Sensor | sensor
| Reference to the sensor object.
Object | parent
| Reference to the sensor's parent object.
AlertState | alertState
| Current alert state of the sensor.

## Detailed Description

Data about a monitored sensor.

All entries include a reference to the sensor's parent object (e.g. an inlet or a peripheral device slot), allowing a client to identify an unknown alerted sensor with just a few RPC calls.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl